View Issue Details

IDProjectCategoryView StatusLast Update
0008548VALENTINA STUDIOTool - Form Editorpublic2019-06-09 19:56
ReporterChris ZakrewskyAssigned ToSergey Pashkov 
PriorityimmediateSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSLinuxOS Version*
Product Version9.2.x 
Target Version9.2.xFixed in Version9.2.x 
Summary0008548: VStudio v9.2 - Crash in Forms on Execute.
DescriptionIn attached dataset there is a Datasource (nomadic.vdb) and Form (form.vsp).
Datasource runs under VServer 9.2.
Form is in user home directory.

When performing procedure A) shown in "Steps to reproduce" the crash will occur every time.
When performing procedure B) shown in "Steps to reproduce" the crash will NOT occur.

The difference is that B) does not enter "Edit".

Also when altering Datasource to a local file, the VStudio will not crash either in A) nor in B).

So the combination of VServer and "Edit" is what nukes VStudio.

 
Steps To ReproduceA) How to crash
1. When double-click on form.vsp: VStudio opens as in screenshot 1.
2. When double-click on Objects Icon: VStudio opens as in screenshot 2.
3. When click on "Execute": VStudio opens as in screenshot 3. Click "Close" on the Form.
4. When click on Execute again: VStudio will crash and burn.

B) How to NOT crash
1. When double-click on form.vsp: VStudio opens as in screenshot 1.
2. When single-click on Objects Text: VStudio opens as in screenshot 4.
3. When click on "Execute": VStudio opens as in screenshot 5. Click "Close" on the Form.
4. When click on "Execute": VStudio opens as in screenshot 5. Click "Close" on the Form. It does not crash.

TagsNo tags attached.
Working with DB:Valentina Server
Version of your DB9.2

Activities

Chris Zakrewsky

Chris Zakrewsky

2019-06-07 18:59

reporter  

VStudioCrash.zip (86,606 bytes)
Screenshot 1 from 2019-06-07 20-25-13.png (36,999 bytes)
Screenshot 2 from 2019-06-07 20-25-40.png (31,954 bytes)
Screenshot 3 from 2019-06-07 20-29-20.png (83,729 bytes)
Screenshot 4 from 2019-06-07 20-45-01.png (44,769 bytes)
Screenshot 5 from 2019-06-07 20-52-39.png (64,105 bytes)
Sergey Pashkov

Sergey Pashkov

2019-06-08 05:43

developer   ~0010834

Fix will be available in version 9.2.1
Sergey Pashkov

Sergey Pashkov

2019-06-08 10:55

developer   ~0010838

A new version is available for download:
http://valentina-db.com/download/prev_releases/9.2.1/
Chris Zakrewsky

Chris Zakrewsky

2019-06-09 18:15

reporter   ~0010840

Bingo!

Did some quick tests on Linux Mint & Windows 10.
It does not crash :)

You guys are best!
Sergey Pashkov

Sergey Pashkov

2019-06-09 19:56

developer   ~0010841

Thank you!

Issue History

Date Modified Username Field Change
2019-06-07 18:59 Chris Zakrewsky New Issue
2019-06-07 18:59 Chris Zakrewsky File Added: VStudioCrash.zip
2019-06-07 18:59 Chris Zakrewsky File Added: Screenshot 1 from 2019-06-07 20-25-13.png
2019-06-07 18:59 Chris Zakrewsky File Added: Screenshot 2 from 2019-06-07 20-25-40.png
2019-06-07 18:59 Chris Zakrewsky File Added: Screenshot 3 from 2019-06-07 20-29-20.png
2019-06-07 18:59 Chris Zakrewsky File Added: Screenshot 4 from 2019-06-07 20-45-01.png
2019-06-07 18:59 Chris Zakrewsky File Added: Screenshot 5 from 2019-06-07 20-52-39.png
2019-06-07 21:38 Sergey Pashkov Assigned To => Sergey Pashkov
2019-06-07 21:38 Sergey Pashkov Status new => confirmed
2019-06-08 05:43 Sergey Pashkov Status confirmed => resolved
2019-06-08 05:43 Sergey Pashkov Resolution open => fixed
2019-06-08 05:43 Sergey Pashkov Product Version => 9.2.x
2019-06-08 05:43 Sergey Pashkov Fixed in Version => 9.2.x
2019-06-08 05:43 Sergey Pashkov Target Version => 9.2.x
2019-06-08 05:43 Sergey Pashkov Description Updated View Revisions
2019-06-08 05:43 Sergey Pashkov Steps to Reproduce Updated View Revisions
2019-06-08 05:43 Sergey Pashkov Note Added: 0010834
2019-06-08 10:55 Sergey Pashkov Status resolved => feedback
2019-06-08 10:55 Sergey Pashkov Resolution fixed => reopened
2019-06-08 10:55 Sergey Pashkov Note Added: 0010838
2019-06-09 18:15 Chris Zakrewsky Note Added: 0010840
2019-06-09 18:15 Chris Zakrewsky Status feedback => assigned
2019-06-09 19:56 Sergey Pashkov Status assigned => resolved
2019-06-09 19:56 Sergey Pashkov Resolution reopened => fixed
2019-06-09 19:56 Sergey Pashkov Note Added: 0010841